Bug Hunting Session
Bug 124676 - FILESAVE: xlsx document with pivot table exported by Calc results in recovery dialog when opened in Excel
Summary: FILESAVE: xlsx document with pivot table exported by Calc results in recovery...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.2.2 release
Hardware: All All
: medium normal
Assignee: Dennis Francis
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords: dataLoss, filter:xlsx
Depends on:
Blocks: XLSX-Corrupted Pivot-Table-XLSX
  Show dependency treegraph
 
Reported: 2019-04-11 08:47 UTC by Dennis Francis
Modified: 2019-04-30 13:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
ods file for reproduction of the bug (9.58 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-04-11 08:48 UTC, Dennis Francis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Francis 2019-04-11 08:47:31 UTC
Description:
xlsx file created by Calc, when opened in Excel 2016 results in recovery dialog and recovery of the document results in removal of the pivot table.

Steps to Reproduce:
1. Open the attached ods file in Calc
2. "Save as" in the xlsx format.
3. Open the xlsx file in Excel.

Actual Results:
A recovery dialog pops up. If you choose to click "Yes" then it will further say that pivot-table related content was removed from the document. In the second sheet you will see the pivot table's contents but it is now no more a "real" pivot table.

Expected Results:
Excel opens the file without any recovery process and the pivot table is correctly preserved in the second sheet.


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
Version: 6.3.0.0.alpha0+
Build ID: 2bad874634e45a4457d8c91e7b87554319cc7fd3
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.utf8); UI-Language: en-US
Calc: threaded
Comment 1 Dennis Francis 2019-04-11 08:48:45 UTC
Created attachment 150686 [details]
ods file for reproduction of the bug
Comment 2 Xisco Faulí 2019-04-12 10:33:13 UTC
Also reproduced in

Versión: 6.2.2.2
Id. de compilación: 2b840030fec2aae0fd2658d8d4f9548af4e3518d
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded

This fix should be backported to 6-2 once done...
Comment 3 Dennis Francis 2019-04-13 10:40:49 UTC
The patch was review here : https://gerrit.libreoffice.org/#/c/70498/
and got pushed to master (238cadd315901cbacfd9304bb1205e9f53f13eae). At some point the bug number was on the commit message by using the gerrit UI, and later when I pushed an amended version, the commit message got overwritten to the old one. Sorry about that. I'll backport to 6.2 with bug number in the commit message.
Comment 4 Commit Notification 2019-04-16 09:56:10 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/9da596116d5506e583410db033798c39fa43232a%5E%21

tdf#124676 : use case-insensitive normalization of...

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Aron Budea 2019-04-17 18:17:42 UTC
Let's add the master commit as well.

Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/238cadd315901cbacfd9304bb1205e9f53f13eae%5E%21

dpcache : use case-insensitive normalization of...

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.